package org.randombits.filtering.confluence.param.format;

import org.randombits.support.core.param.AbstractParameterInterpreter;
import org.randombits.support.core.param.InterpretationException;
import org.randombits.support.core.param.ParameterContext;

/**
 * Interprets separator parameters.
 */
public class SeparatorInterpreter extends AbstractParameterInterpreter<Separator> {

    @Override
    public Separator interpret( String inputValue, ParameterContext context ) throws InterpretationException {
        return Separator.parse( inputValue );
    }
}
